backgroundc = Image.load("bgc.png")
backgroundcm = Image.load("bgcm.png")
backgroundd = Image.load("bgd.png")
backgrounddm = Image.load("bgdm.png")
backgrounde = Image.load("bge.png")
backgroundem = Image.load("bgem.png")
backgroundf = Image.load("bgf.png")
backgroundfm = Image.load("bgfm.png")
backgroundg = Image.load("bgg.png")
backgroundgm = Image.load("bggm.png")
backgrounda = Image.load("bga.png")
backgroundam = Image.load("bgam.png")
backgroundb = Image.load("bgb.png")
backgroundbm = Image.load("bgbm.png")



blue = Color.new(0, 0, 255)


c  = Sound.load("sound/c.wav",false)
cs = Sound.load("sound/c#.wav",false)
ds = Sound.load("sound/d#.wav",false)
d = Sound.load("sound/d.wav",false)
e = Sound.load("sound/e.wav",false)
f = Sound.load("sound/f.wav",false)
fs = Sound.load("sound/f#.wav",false)
g = Sound.load("sound/g.wav",false)
gs = Sound.load("sound/g#.wav",false)
a = Sound.load("sound/a.wav",false)
as = Sound.load("sound/a#.wav",false)
b = Sound.load("sound/b.wav",false)
ca = Sound.load("sound/ca.wav",false)
da = Sound.load("sound/da.wav",false)
ea = Sound.load("sound/ea.wav",false)
fa = Sound.load("sound/fa.wav",false)
ga = Sound.load("sound/ga.wav",false)
aa = Sound.load("sound/aa.wav",false)
ba = Sound.load("sound/ba.wav",false)
caa = Sound.load("sound/cb.wav",false)
cas = Sound.load("sound/ca#.wav",false)
das = Sound.load("sound/da#.wav",false)
fas = Sound.load("sound/fa#.wav",false)
gas = Sound.load("sound/ga#.wav",false)
aas = Sound.load("sound/aa#.wav",false)

s=1
oldpad = Controls.read()

while true do

screen.waitVblankStart()
screen.flip()

		pad = Controls.read()



	
	--background changes

	


	if s==1 then
screen.waitVblankStart()
	screen:blit(0, 0, backgroundc, 0, 0, backgroundc:width(), backgroundc:height(), false)
	end

	
	if s==2 then
screen.waitVblankStart()
end
if s==2 then
	screen:blit(0, 0, backgroundcm, 0, 0, backgroundcm:width(), backgroundcm:height(), false)
	end

	--d minor
			 if s==4 then
screen.waitVblankStart()
end
if s==3 then
	screen:blit(0, 0, backgroundd, 0, 0, backgroundd:width(), backgroundd:height(), false)
	end
	
	
		 if s==4 then
screen.waitVblankStart()
end
if s==4 then
	screen:blit(0, 0, backgrounddm, 0, 0, backgrounddm:width(), backgrounddm:height(), false)
	end

--e major

 if s==5 then
screen.waitVblankStart()
end
if s==5 then
	screen:blit(0, 0, backgrounde, 0, 0, backgrounde:width(), backgrounde:height(), false)
	end

--e minor
if s==6 then
	screen:blit(0, 0, backgroundem, 0, 0, backgroundem:width(), backgroundem:height(), false)
	end
		if s==6 then
screen.waitVblankStart()
end
--f major

if s==7then
	screen:blit(0, 0, backgroundf, 0, 0, backgroundf:width(), backgroundf:height(), false)
	end
		if s==7 then
screen.waitVblankStart()
end
--f minor

if s==8 then
	screen:blit(0, 0, backgroundfm, 0, 0, backgroundfm:width(), backgroundfm:height(), false)
	end
		if s==8 then
screen.waitVblankStart()
end


--g major

if s==9 then
	screen:blit(0, 0, backgroundg, 0, 0, backgroundg:width(), backgroundg:height(), false)
	end
		if s==9 then
screen.waitVblankStart()
end


--g minor

if s==10 then
	screen:blit(0, 0, backgroundgm, 0, 0, backgroundgm:width(), backgroundgm:height(), false)
	end
		if s==10 then
screen.waitVblankStart()
end


-- a mojor
if s==11 then
	screen:blit(0, 0, backgrounda, 0, 0, backgrounda:width(), backgrounda:height(), false)
	end
		if s==11 then
screen.waitVblankStart()
end

--a minor
if s==12 then
	screen:blit(0, 0, backgroundam, 0, 0, backgroundam:width(), backgroundam:height(), false)
	end
		if s==12 then
screen.waitVblankStart()
end

--d major
if s==13 then
	screen:blit(0, 0, backgroundb, 0, 0, backgroundb:width(), backgroundb:height(), false)
	end
		if s==13 then
screen.waitVblankStart()
end


--d minor

if s==14 then
	screen:blit(0, 0, backgroundbm, 0, 0, backgroundbm:width(), backgroundbm:height(), false)
	end
		if s==14 then
screen.waitVblankStart()
end



	



	--notes inputs--
	
	--c major
	
	
if math.abs(s) == 1 then
	if pad:down() and 
	oldpad:down() ~= pad:down() then
 c:play()

 end
 end
 
 if math.abs(s) == 2 then
	if pad:down() and 
	oldpad:down() ~= pad:down() then
 c:play()
 end
 end
 
 


if math.abs(s) == 1 then
if pad:right() and
oldpad:right() ~= pad:right() then
 d:play()
end
end

if s == 2 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 d:play()
end
end


if s==1 then 
	if pad:up() and 
	oldpad:up() ~= pad:up() then
 e:play()
 end
 end

 
 if s==2 then
 if pad:up() and
 	oldpad:up() ~= pad:up() then
	ds:play()

end
end

if s == 1 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 f:play()
 
end
end
 
 if s == 2 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 f:play()

end
end



if s == 1 then
	if pad:cross() and 
	oldpad:cross() ~= pad:cross() then

 g:play()
end
end

if s == 2 then
	if pad:cross() and 
	oldpad:cross() ~= pad:cross() then

 g:play()
end
end


if s == 1 then
	if pad:square() and 
	oldpad:square() ~= pad:square() then

 a:play()
end
end

if s == 2 then
	if pad:square() and 
	oldpad:square() ~= pad:square() then

 gs:play()
end
end

if s == 1  then
		if pad:triangle() 
		and oldpad:triangle() ~= pad:triangle() then

b:play()
end
end
if s == 2 then
		if pad:triangle() 
		and oldpad:triangle() ~= pad:triangle() then

as:play()
end
end


if s == 1 then
		if pad:circle() 
		and oldpad:circle() ~= pad:circle() then

ca:play()
end
end

if s == 2 then
		if pad:circle() 
		and oldpad:circle() ~= pad:circle() then

ca:play()
end
end



if pad:r() and 
	oldpad:r() ~= pad:r() then
	s=s+1
	end

	
	if pad:l() and 
	oldpad:l() ~= pad:l() then
	s=s-1
	end
	if math.abs(s) ==0 then w=14 end
if math.abs(s) ==15 then w=1 end

	
	
	--d major/minor


if math.abs(s) ==3 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 d:play()

end
end

if math.abs(s) ==4 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 d:play()

end
end

if math.abs(s) ==3 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 e:play()

end
end

if math.abs(s) ==4 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 e:play()

end
end

if math.abs(s) ==3 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 fs:play()

end
end

if math.abs(s) ==4 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 f:play()

end
end

if math.abs(s) ==3 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 g:play()

end
end

if math.abs(s) ==4 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 g:play()

end
end

if math.abs(s) ==3 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 a:play()

end
end
if math.abs(s) ==4 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 a:play()

end
end

if math.abs(s) ==3 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 b:play()

end
end

if math.abs(s) ==4 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 as:play()

end
end

if math.abs(s) ==3 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 cas:play()

end
end

if math.abs(s) ==3 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 da:play()

end
end

if math.abs(s) ==4 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 ca:play()

end
end

if math.abs(s) ==4 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 da:play()

end
end

--end d minor/major




--start of e

if math.abs(s) ==5 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 e:play()

end
end

if math.abs(s) ==6 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 e:play()

end
end

if math.abs(s) ==5 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 fs:play()

end
end

if math.abs(s) ==6 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 fs:play()

end
end

if math.abs(s) ==5 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 gs:play()

end
end

if math.abs(s) ==6 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 g:play()

end
end

if math.abs(s) ==5 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 a:play()

end
end

if math.abs(s) ==6 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 a:play()

end
end

if math.abs(s) ==5 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 b:play()

end
end
if math.abs(s) ==6 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 b:play()

end
end

if math.abs(s) ==5 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 cas:play()

end
end

if math.abs(s) ==6 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 ca:play()

end
end

if math.abs(s) ==5 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 das:play()

end
end

if math.abs(s) ==5 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ea:play()

end
end

if math.abs(s) ==6 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 da:play()

end
end

if math.abs(s) ==6 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ea:play()

end
end


--end of e major minor



--f major/minor


if math.abs(s) ==7 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 f:play()

end
end

if math.abs(s) ==8 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 f:play()

end
end

if math.abs(s) ==7 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 g:play()

end
end

if math.abs(s) ==8 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 g:play()

end
end

if math.abs(s) ==7 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 a:play()

end
end

if math.abs(s) ==8 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 gs:play()

end
end

if math.abs(s) ==7 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 as:play()

end
end

if math.abs(s) ==8 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 as:play()

end
end

if math.abs(s) ==7 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 ca:play()

end
end
if math.abs(s) ==8 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 ca:play()

end
end

if math.abs(s) ==7 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 da:play()

end
end

if math.abs(s) ==8 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 cas:play()

end
end

if math.abs(s) ==7 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 ea:play()

end
end

if math.abs(s) ==7 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 fa:play()

end
end

if math.abs(s) ==8 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 das:play()

end
end

if math.abs(s) ==8 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 fa:play()

end
end



--end of f major/minor


--g major/minor


if math.abs(s) ==9 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 g:play()

end
end

if math.abs(s) ==10 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 g:play()

end
end

if math.abs(s) ==9 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 a:play()

end
end

if math.abs(s) ==10 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 a:play()

end
end

if math.abs(s) ==9 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 b:play()

end
end

if math.abs(s) ==10 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 as:play()

end
end

if math.abs(s) ==9 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 ca:play()

end
end

if math.abs(s) ==10 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 ca:play()

end
end

if math.abs(s) ==9 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 da:play()

end
end
if math.abs(s) ==10 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 da:play()

end
end

if math.abs(s) ==9 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 ea:play()

end
end

if math.abs(s) ==10 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 das:play()

end
end

if math.abs(s) ==9 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 fas:play()

end
end

if math.abs(s) ==9 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ga:play()

end
end

if math.abs(s) ==10 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 fa:play()

end
end

if math.abs(s) ==10 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ga:play()

end
end

--end of g major minor
--a major minor

if math.abs(s) ==11 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 a:play()

end
end

if math.abs(s) ==12 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 a:play()

end
end

if math.abs(s) ==11 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 b:play()

end
end

if math.abs(s) ==12 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 b:play()

end
end

if math.abs(s) ==11 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 cas:play()

end
end

if math.abs(s) ==12 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 ca:play()

end
end

if math.abs(s) ==11 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 da:play()

end
end

if math.abs(s) ==12 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 da:play()

end
end

if math.abs(s) ==11 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 ea:play()

end
end
if math.abs(s) ==12 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 ea:play()

end
end

if math.abs(s) ==11 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 fas:play()

end
end

if math.abs(s) ==12 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 fa:play()

end
end

if math.abs(s) ==11 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 gas:play()

end
end

if math.abs(s) ==11 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 aa:play()

end
end

if math.abs(s) ==12 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 ga:play()

end
end

if math.abs(s) ==12 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 aa:play()

end
end


--end of a major/minor

--start of b

if math.abs(s) ==13 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 b:play()

end
end

if math.abs(s) ==14 then
if pad:down() and 
oldpad:down() ~= pad:down() then
 b:play()

end
end

if math.abs(s) ==13 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 cas:play()

end
end

if math.abs(s) ==14 then
if pad:right() and 
oldpad:right() ~= pad:right() then
 cas:play()

end
end

if math.abs(s) ==13 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 das:play()

end
end

if math.abs(s) ==14 then
if pad:up() and 
oldpad:up() ~= pad:up() then
 da:play()

end
end

if math.abs(s) ==13 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 ea:play()

end
end

if math.abs(s) ==14 then
if pad:left() and 
oldpad:left() ~= pad:left() then
 ea:play()

end
end

if math.abs(s) ==13 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 fas:play()

end
end
if math.abs(s) ==14 then
if pad:cross() and 
oldpad:cross() ~= pad:cross() then
 fas:play()

end
end

if math.abs(s) ==13 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 gas:play()

end
end

if math.abs(s) ==14 then
if pad:square() and 
oldpad:square() ~= pad:square() then
 ga:play()

end
end

if math.abs(s) ==13 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 aas:play()

end
end

if math.abs(s) ==13 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ba:play()

end
end

if math.abs(s) ==14 then
if pad:triangle() and 
oldpad:triangle() ~= pad:triangle() then
 aa:play()

end
end

if math.abs(s) ==14 then
if pad:circle() and 
oldpad:circle() ~= pad:circle() then
 ba:play()

end
end

--end of b major/minor





	
	
	




 
 

	if s==1 then scale="c major" end
	if s==2 then scale="c minor" end
	if s==3 then scale="d major" end
	if s==4 then scale="d minor" end
	if s==5 then scale="e major" end
	if s==6 then scale="e minor" end
	if s==7 then scale="f major" end
	if s==8 then scale="f minor" end
	if s==9 then scale="g major" end
	if s==10 then scale="g minor" end
	if s==11 then scale="a major" end
	if s==12 then scale="a minor" end
	if s==13 then scale="b major" end
	if s==14 then scale="b minor" end
	

	
screen:print(400, 220, scale, blue)



	--cmajor
if s==1 and pad:down() then screen:print(15,200,"x",blue) end
if s==1 and pad:right() then screen:print(45,200,"x",blue) end
if s==1 and pad:up() then screen:print(70,200,"x",blue) end
if s==1 and pad:left() then screen:print(100,200,"x",blue) end
if s==1 and pad:cross() then screen:print(125,200,"x",blue) end
if s==1 and pad:square() then screen:print(155,200,"x",blue) end
if s==1 and pad:triangle() then screen:print(180,200,"x",blue) end
if s==1 and pad:circle() then screen:print(210,200,"x",blue) end

--cminor

if s==2 and pad:down() then screen:print(15,200,"x",blue) end
if s==2 and pad:right() then screen:print(45,200,"x",blue) end
if s==2 and pad:up() then screen:print(55,100,"x",blue) end
if s==2 and pad:left() then screen:print(100,200,"x",blue) end
if s==2 and pad:cross() then screen:print(125,200,"x",blue) end
if s==2 and pad:square() then screen:print(140,100,"x",blue) end
if s==2 and pad:triangle() then screen:print(160,100,"x",blue) end
if s==2 and pad:circle() then screen:print(210,200,"x",blue) end

--d major

if s==3 and pad:down() then screen:print(45,200,"x",blue) end
if s==3 and pad:right() then screen:print(70,200,"x",blue) end
if s==3 and pad:up() then screen:print(110,100,"x",blue) end
if s==3 and pad:left() then screen:print(125,200,"x",blue) end
if s==3 and pad:cross() then screen:print(155,200,"x",blue) end
if s==3 and pad:square() then screen:print(180,200,"x",blue) end
if s==3 and pad:triangle() then screen:print(220,100,"x",blue) end
if s==3 and pad:circle() then screen:print(240,200,"x",blue) end

--d minor

if s==4 and pad:down() then screen:print(45,200,"x",blue) end
if s==4 and pad:right() then screen:print(70,200,"x",blue) end
if s==4 and pad:up() then screen:print(100,200,"x",blue) end
if s==4 and pad:left() then screen:print(125,200,"x",blue) end
if s==4 and pad:cross() then screen:print(155,200,"x",blue) end
if s==4 and pad:square() then screen:print(165,100,"x",blue) end
if s==4 and pad:triangle() then screen:print(210,200,"x",blue) end
if s==4 and pad:circle() then screen:print(240,200,"x",blue) end

--e major

if s==5 and pad:down() then screen:print(70,200,"x",blue) end
if s==5 and pad:right() then screen:print(110,100,"x",blue) end
if s==5 and pad:up() then screen:print(140,100,"x",blue) end
if s==5 and pad:left() then screen:print(155,200,"x",blue) end
if s==5 and pad:cross() then screen:print(180,200,"x",blue) end
if s==5 and pad:square() then screen:print(220,100,"x",blue) end
if s==5 and pad:triangle() then screen:print(250,100,"x",blue) end
if s==5 and pad:circle() then screen:print(265,200,"x",blue) end

--e minor

if s==6 and pad:down() then screen:print(70,200,"x",blue) end
if s==6 and pad:right() then screen:print(110,100,"x",blue) end
if s==6 and pad:up() then screen:print(125,200,"x",blue) end
if s==6 and pad:left() then screen:print(155,200,"x",blue) end
if s==6 and pad:cross() then screen:print(180,200,"x",blue) end
if s==6 and pad:square() then screen:print(210,200,"x",blue) end
if s==6 and pad:triangle() then screen:print(240,200,"x",blue) end
if s==6 and pad:circle() then screen:print(265,200,"x",blue) end

--f major

if s==7 and pad:down() then screen:print(100,200,"x",blue) end
if s==7 and pad:right() then screen:print(125,200,"x",blue) end
if s==7 and pad:up() then screen:print(155,200,"x",blue) end
if s==7 and pad:left() then screen:print(165,100,"x",blue) end
if s==7 and pad:cross() then screen:print(210,200,"x",blue) end
if s==7 and pad:square() then screen:print(240,200,"x",blue) end
if s==7 and pad:triangle() then screen:print(265,200,"x",blue) end
if s==7 and pad:circle() then screen:print(295,200,"x",blue) end

--f minor

if s==8 and pad:down() then screen:print(100,200,"x",blue) end
if s==8 and pad:right() then screen:print(125,200,"x",blue) end
if s==8 and pad:up() then screen:print(140,100,"x",blue) end
if s==8 and pad:left() then screen:print(165,100,"x",blue) end
if s==8 and pad:cross() then screen:print(210,200,"x",blue) end
if s==8 and pad:square() then screen:print(220,100,"x",blue) end
if s==8 and pad:triangle() then screen:print(250,100,"x",blue) end
if s==8 and pad:circle() then screen:print(295,200,"x",blue) end

--g major

if s==9 and pad:down() then screen:print(125,200,"x",blue) end
if s==9 and pad:right() then screen:print(155,200,"x",blue) end
if s==9 and pad:up() then screen:print(165,100,"x",blue) end
if s==9 and pad:left() then screen:print(210,200,"x",blue) end
if s==9 and pad:cross() then screen:print(240,200,"x",blue) end
if s==9 and pad:square() then screen:print(265,200,"x",blue) end
if s==9 and pad:triangle() then screen:print(295,200,"x",blue) end
if s==9 and pad:circle() then screen:print(320,200,"x",blue) end

--g minor

if s==10 and pad:down() then screen:print(125,200,"x",blue) end
if s==10 and pad:right() then screen:print(155,200,"x",blue) end
if s==10 and pad:up() then screen:print(165,100,"x",blue) end
if s==10 and pad:left() then screen:print(210,200,"x",blue) end
if s==10 and pad:cross() then screen:print(240,200,"x",blue) end
if s==10 and pad:square() then screen:print(250,100,"x",blue) end
if s==10 and pad:triangle() then screen:print(295,200,"x",blue) end
if s==10 and pad:circle() then screen:print(320,200,"x",blue) end

--a major

if s==11 and pad:down() then screen:print(155,200,"x",blue) end
if s==11 and pad:right() then screen:print(180,200,"x",blue) end
if s==11 and pad:up() then screen:print(220,100,"x",blue) end
if s==11 and pad:left() then screen:print(240,200,"x",blue) end
if s==11 and pad:cross() then screen:print(265,200,"x",blue) end
if s==11 and pad:square() then screen:print(305,100,"x",blue) end
if s==11 and pad:triangle() then screen:print(335,100,"x",blue) end
if s==11 and pad:circle() then screen:print(350,200,"x",blue) end

--a minor

if s==12 and pad:down() then screen:print(155,200,"x",blue) end
if s==12 and pad:right() then screen:print(180,200,"x",blue) end
if s==12 and pad:up() then screen:print(210,200,"x",blue) end
if s==12 and pad:left() then screen:print(240,200,"x",blue) end
if s==12 and pad:cross() then screen:print(265,200,"x",blue) end
if s==12 and pad:square() then screen:print(295,200,"x",blue) end
if s==12 and pad:triangle() then screen:print(320,200,"x",blue) end
if s==12 and pad:circle() then screen:print(350,200,"x",blue) end

--b major

if s==13 and pad:down() then screen:print(180,200,"x",blue) end
if s==13 and pad:right() then screen:print(220,100,"x",blue) end
if s==13 and pad:up() then screen:print(250,100,"x",blue) end
if s==13 and pad:left() then screen:print(265,200,"x",blue) end
if s==13 and pad:cross() then screen:print(305,100,"x",blue) end
if s==13 and pad:square() then screen:print(335,100,"x",blue) end
if s==13 and pad:triangle() then screen:print(360,100,"x",blue) end
if s==13 and pad:circle() then screen:print(375,200,"x",blue) end

--b minor

if s==14 and pad:down() then screen:print(180,200,"x",blue) end
if s==14 and pad:right() then screen:print(220,100,"x",blue) end
if s==14 and pad:up() then screen:print(240,200,"x",blue) end
if s==14 and pad:left() then screen:print(265,200,"x",blue) end
if s==14 and pad:cross() then screen:print(305,100,"x",blue) end
if s==14 and pad:square() then screen:print(320,200,"x",blue) end
if s==14 and pad:triangle() then screen:print(350,200,"x",blue) end
if s==14 and pad:circle() then screen:print(375,200,"x",blue) end

		
  	oldpad = pad
if pad:start() then
break
end
end
















